local base = _G

module('testvideohosts')

function TestAddress(AdrForTest)

local tt = {
'allmyvideos',
'bestreams',
'cloudzilla',
'daclips',
'divxstage',
'fastvideo',
'filenuke',
'flashx',
'gamovideo',
'happystreams',
'hqq.tv',
'mightyupload',
'movdivx',
'movreel',
'movshare',
'nosvideo',
'novamov',
'nowvideo',
'played.to',
'promptfile',
'shared.sx',
'sharerepo',
'sharesix',
'streamcloud',
'streamin',
'thefile',
'thevideo',
'tumi.tv',
'uploadc.com',
'uploadcrazy.net',
'vidbull',
'videoweed',
'vidspot',
'vidto.me',
'vidxden',
'vidzi.tv',
'vodlocker',
'vshare.eu',
'youwatch',
'youtube',

} 

  for k,v in base.ipairs(tt) do
     if base.string.match(AdrForTest, v) then 
	return true 
     end 
  end
--base.debug_in_file(AdrForTest .. ' base \n')
 base.m_simpleTV.OSD.ShowMessage("Error:\nMovie from " .. AdrForTest .. " is not supported now.",255,10)
base.m_simpleTV.Common.Wait(3000)
 return false 

end
